Subject: [PATCH v6] Re: mailinfo: allow e-mail files as input

From: Nicolas Sebrecht <[email-masked]>
Date: Fri, 17 Jul 2009 04:20:48 +0200

The 16/07/09, Junio C Hamano wrote:
> Nicolas Sebrecht <[email-masked]> writes:
> 
> > We traditionally allowed a mbox file or a directory name of a maildir to be
> > ...
> > Signed-off-by: Nicolas Sebrecht <[email-masked]>
> 
> Thanks.

Thank you in first place. I appreciate your patience and explanations.

> I have one more comment on the test script, but it's something I can
> locally fix (iow, there is no need to resend your patch if there is no
> other issue pointed out by others, and if you agree to my suggested
> improvements).

... and thank you for leting the door open to agreements.

> > +cat >rfc2822_email <<EOF
> > +Return-Path: <[email-masked]>
> > +X-Flags: 0000
> > +	999
> 
> The headers look a bit too excessive to my taste, but probably you wanted
> to take a real-life example.

Yes.

>                               If that is the case, I suspect the manually
> added X-Flags: at the beginning defeats that purpose, though.

I don't see what purpose it defeats. What am I missing?

>                                                                I'd suggest
> either removing the hand-munging, or triming the Received: sequence to
> make it a bit shorter.

It's fine here.

> These days we tend to write the last step
> 
> 	git diff --exit-code master^ HEAD
> 
> which allows "sh t4150-am.sh -i -v" to be more useful when debugging.

I'll look at that closer.

-- 
Nicolas Sebrecht